> ## Documentation Index
> Fetch the complete documentation index at: https://docs.volteras.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Charging Windows

> Retrieve a list of charging windows for the provided vehicle.

Charging windows determine the start and stop times for the vehicle to charge, for example so that
the vehicle can be set to charge during electricity off-peak times.


Possible Codes in Error Response (see [Errors](https://docs.volteras.com/api-reference/errors) for error response schema and meaning of codes):

- AUTHENTICATION_ERROR
- REQUEST_VALIDATION_ERROR
- SERVER_ERROR



## OpenAPI

````yaml get /v1/vehicles/{vehicle_id}/charging-windows
openapi: 3.1.0
info:
  title: VOLTERAS CONNECT
  version: 0.1.0
servers:
  - url: https://api.volteras.com
  - url: https://api.sandbox.volteras.com
security: []
paths:
  /v1/vehicles/{vehicle_id}/charging-windows:
    get:
      tags:
        - Vehicle Charging Schedule
      summary: List Charging Windows
      description: >-
        Retrieve a list of charging windows for the provided vehicle.


        Charging windows determine the start and stop times for the vehicle to
        charge, for example so that

        the vehicle can be set to charge during electricity off-peak times.



        Possible Codes in Error Response (see
        [Errors](https://docs.volteras.com/api-reference/errors) for error
        response schema and meaning of codes):


        - AUTHENTICATION_ERROR

        - REQUEST_VALIDATION_ERROR

        - SERVER_ERROR
      operationId: list_charging_windows_v1_vehicles__vehicle_id__charging_windows_get
      parameters:
        - name: vehicle_id
          in: path
          required: true
          schema:
            type: string
            title: Vehicle ID
            description: Unique internal identifier for the vehicle.
          description: Unique internal identifier for the vehicle.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VehicleChargingWindows'
      security:
        - OAuth2ClientCredentialsBearer:
            - vehicle:charging_history
components:
  schemas:
    VehicleChargingWindows:
      properties:
        chargingWindows:
          items:
            $ref: '#/components/schemas/ChargingWindow'
          type: array
          title: Chargingwindows
      type: object
      required:
        - chargingWindows
      title: VehicleChargingWindows
    ChargingWindow:
      properties:
        startHour:
          type: integer
          title: Starthour
        startMinute:
          type: integer
          title: Startminute
        endHour:
          type: integer
          title: Endhour
        endMinute:
          type: integer
          title: Endminute
        daysOfWeek:
          items:
            $ref: '#/components/schemas/Weekdays'
          type: array
          title: Daysofweek
          description: >-
            The days of the week that the charging window is valid for. If no
            values in the array, the charging window is valid for all days of
            the week.
        localTimeOffset:
          type: integer
          title: Localtimeoffset
          description: >-
            The local time offset (vs. UTC) of the start and end times, in
            minutes. For example, if the vehicle was in UTC+1, this would be 60.
        windowLocation:
          anyOf:
            - $ref: '#/components/schemas/LatLngValue'
            - type: 'null'
      type: object
      required:
        - startHour
        - startMinute
        - endHour
        - endMinute
        - daysOfWeek
        - localTimeOffset
      title: ChargingWindow
    Weekdays:
      type: string
      enum:
        - MONDAY
        - TUESDAY
        - WEDNESDAY
        - THURSDAY
        - FRIDAY
        - SATURDAY
        - SUNDAY
      title: Weekdays
    LatLngValue:
      properties:
        longitude:
          type: number
          title: Longitude
        latitude:
          type: number
          title: Latitude
      type: object
      required:
        - longitude
        - latitude
      title: LatLngValue
  securitySchemes:
    OAuth2ClientCredentialsBearer:
      type: oauth2
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /v1/oauth2/token

````